// home page
.banner {
  position: relative;
  z-index: 1;
  h1 {
    @include tablet {
      font-size: 42px;
      line-height: 1.3;
    }
  }
  &::after {
    position: absolute;
    content: "";
    height: calc(50% + 30px);
    width: 100%;
    left: 0;
    top: 0;
    background-color: $body-bg;
    z-index: -1;
    @include desktop {
      height: 30%;
    }
  }
}
.dark .banner::after {
  background-color: $dark-body-bg;
}

// about
.about {
  .content {
    h3 {
      margin-top: 60px;
    }
    iframe {
      padding-bottom: 30px;
    }
  }
}

// blog
.post-meta {
  margin-bottom: 0.3125rem;
  li {
    list-style: none;
    a {
      font-size: 0.9rem;
      font-weight: 500;
      color: $color_primary;
      text-transform: capitalize;

      &:hover {
        text-decoration: underline;
      }
    }
  }
}


.post-author {
  margin-bottom: 0.3125rem;
  li {
    list-style: none;
    a {
      font-size: 0.9rem;
      font-weight: 500;
      color: $color_secondary;
      text-transform: capitalize;

      &:hover {
        text-decoration: underline;
      }
    }
  }
}

.blog-card {
  .card-img {
    height: 100%;
    img {
      height: 100%;
      object-fit: cover;
      border-radius: 4px !important;
    }
    .post-info {
      position: absolute;
      top: 10px;
      left: 10px;
      @media (min-width: 1200px) and (max-width: 1399px) {
        display: flex;
        flex-direction: column;
        span {
          margin-bottom: 10px;
        }
      }
      span {
        background: white;
        border-radius: 3px;
        font-size: 12px;
        text-transform: lowercase;
        padding: 5px 10px;
      }
    }
  }

  .post-title {
    color: $text-dark;
    transition: 0.3s;
    text-decoration-color: transparent;

    &:hover {
      text-decoration: underline;
      text-decoration-color: #ccc;
    }
  }

  .rounded-start {
    border-radius: 0.5rem 0 0 0.5rem !important;

    @include desktop-lg {
      border-radius: 0.5rem 0.5rem 0 0 !important;
    }
  }
}
.widget {
  &:not(:last-child) {
    margin-bottom: 35px;
  }

  .list-group-item a {
    @include transition(0.5s);
  }

  &-search {
    position: relative;
    width: 100%;

    input {
      width: 100%;
      border: 1px solid $border-color;
      border-radius: 5px;
      transition: 0.2s;
      &:focus {
        border-color: $dark;
      }
    }

    button {
      position: absolute;
      right: 0;
      background: transparent;
      border: 0;
      border-left: 0px;
      margin-left: -4px;
    }

    input,
    button {
      padding: 12px 14px;
    }
  }

  .widget-title {
    font-weight: 500;
    margin-bottom: 20px;
    text-transform: capitalize;
  }

  .widget-list {
    li {
      line-height: 38px;

      a {
        text-transform: capitalize;
      }
    }
  }

  a {
    color: $text-dark;

    &:hover {
      color: $color-primary;
    }
  }

  .widget-list-inline {
    li {
      a {
        padding: 0 10px;
        display: flex;
      }
    }
  }
}

// dark
.dark {
  .widget-search {
    input {
      border: 1px solid #31434e !important;
      &:focus {
        border-color: #3e4e58 !important;
      }
    }
  }
  .blog-card .post-title,
  .social-links li a {
    color: $dark-text-dark;
  }

  .widget a:hover {
    color: $color-primary;
  }

  .blog-card .card-img .post-info span {
    background-color: $dark-body-bg;
  }

  .widget a,
  .pagination .page-item.prev .page-link,
  .pagination .page-item.next .page-link {
    color: $dark-text-light;
  }

  .pagination .page-item .page-link:hover {
    color: $dark-text-dark;
  }

  .recent-post a {
    color: $dark-text-dark;

    &:hover {
      color: $color-primary;
    }
  }

  .widget-list small {
    color: $dark-text-light;
  }

  .widget input,
  .widget button {
    border: 0;
  }

  .widget button {
    color: $light;
  }
}
